Subject: Re: Hangup booting Linux on PPC440GP

From: Chris Zimman <[email-masked]>
Date: Mon, 14 Jul 2003 12:38:38 -0500

On Mon, Jul 14, 2003 at 05:31:44PM +0100, Steve Boorman wrote:
> machine hangs up, no panic or anything else displayed on the console. If I
> remove /sbin/init then I do get the obvious panic, "No init found.  Try
> passing init= option to kernel."
>
> I tried replacing /sbin/init with a static linked program which just does a
> printf of "hello world", this hangs in the same way with no message. This
> prog was compiled using the Starmax running Yellow Dog V3, kernel
> 2.4.20-8D / gcc 3.2.2.

Do you have math emulation compiled into the kernel?

--Chris

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/